%define upstream_name    Data-Serializer
%define upstream_version 0.65

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generic interface to serializer modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AutoLoader)
BuildRequires: perl(Data::Dumper) >= 2.80.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module is intended for folks who release CPAN modules with "t/*.t"
tests. It makes it easy for you to output syntactically correct test-output
while at the same time logging all test activity to a log file. Hopefully,
bug reports which include the contents of this file will be easier for you
to investigate.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Feb 21 2020 umeabot <umeabot> 0.650.0-2.mga8
+ Revision: 1547890
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 0.650.0-1.mga8
+ Revision: 1488579
- update to 0.65

* Fri Jan 31 2020 tv <tv> 0.620.0-1.mga8
+ Revision: 1485888
- update to 0.62
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.600.0-8.mga7
+ Revision: 1267010
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.600.0-7.mga6
+ Revision: 1024854
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.600.0-6.mga6
+ Revision: 934217
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.600.0-5.mga5
+ Revision: 741877
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.600.0-4.mga5
+ Revision: 735466
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.600.0-3.mga5
+ Revision: 684237
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.600.0-2.mga4
+ Revision: 532581
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 sander85 <sander85> 0.600.0-1.mga4
+ Revision: 468815
- update to 0.60

* Sun Jan 13 2013 umeabot <umeabot> 0.590.0-2.mga3
+ Revision: 365446
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 17 2011 jquelin <jquelin> 0.590.0-1.mga2
+ Revision: 109129
- update to 0.59

* Sun Jan 30 2011 dmorgan <dmorgan> 0.570.0-1.mga1
+ Revision: 44772
- New version

* Sun Jan 23 2011 jquelin <jquelin> 0.520.0-1.mga1
+ Revision: 33702
- mageia rebuild
- imported package perl-Data-Serializer

